## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ndppd
Version:        0.2.6
Release:        %autorelease
Summary:        NDP Proxy Daemon

License:        GPL-3.0-or-later
URL:            https://github.com/DanielAdolfsson/ndppd
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.conf

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  systemd-rpm-macros

%description
ndppd, or NDP Proxy Daemon, is a daemon that proxies neighbor discovery
messages. It listens for neighbor solicitations on a specified interface
and responds with neighbor advertisements - as described in RFC 4861
section 7.2.

%prep
%setup -q

%build
%make_build

%install
%make_install PREFIX="%{_prefix}" SBINDIR="%{buildroot}%{_sbindir}"
install -Dpm0644 -t %{buildroot}%{_unitdir} ndppd.service
install -Dpm0644 %SOURCE1 %{buildroot}%{_tmpfilesdir}/ndppd.conf
install -dm0755 %{buildroot}/run/%{name}
install -Dpm0644 ndppd.conf-dist %{buildroot}%{_sysconfdir}/ndppd.conf

%postun
%systemd_postun_with_restart %{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%files
%license LICENSE
%doc ChangeLog README
%{_sbindir}/ndppd
%{_mandir}/man1/ndppd.1.gz
%{_mandir}/man5/ndppd.conf.5.gz
%{_tmpfilesdir}/ndppd.conf
%{_unitdir}/ndppd.service
%dir /run/%{name}
%config(noreplace) %{_sysconfdir}/ndppd.conf

%changelog
## START: Generated by rpmautospec
* Sun Jun 29 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.6-1
- Update to 0.2.6; Fixes: RHBZ#2340912

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 26 2022 Robert Scheck <robert@fedoraproject.org> - 0.2.5-6
- Update license identifier to SPDX expression - Minor spec file
  modernisation regarding macros - Removed group tag and extended
  %%description

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 18 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.5-3
- Make the package build for epel7.

* Mon Oct 18 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.5-2
- Install default config

* Tue Aug 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.5-1
- Initial package; Fixes: RHBZ#1982772
## END: Generated by rpmautospec
